package org.dromara.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.dromara.system.domain.CommissionSection;
import org.dromara.system.domain.SysTenantAccount;
import org.dromara.system.domain.bo.SysTenantAccountBo;
import org.dromara.system.domain.vo.SysTenantAccountStatisticVO;
import org.dromara.system.domain.vo.SysTenantAccountVo;

import java.util.List;

public interface ISysTenantAccountService extends IService<SysTenantAccount> {
    IPage<SysTenantAccount> pageWithTenant(Page<SysTenantAccount> page, SysTenantAccountBo bo);
    IPage<SysTenantAccountVo> selectTenantAccountPage(Page<SysTenantAccount> page, SysTenantAccountBo bo);
    List<SysTenantAccount> list(SysTenantAccountBo bo);
    SysTenantAccount getById(Long id);
    boolean save(SysTenantAccount po);
    boolean updateById(SysTenantAccount po);
    boolean removeById(Long id);

    SysTenantAccount getByTenantId(String  tenantId);

}
